Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmCancelRequest.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmCancelRequest.cs	(revision 476)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmCancelRequest.cs	(revision 477)
@@ -61,6 +61,25 @@
         /// </summary>
         private Dictionary<int, List<RequestDataDetail>> m_ReqDetail = null;
 
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        private int m_ConstructionCode = 0;
+
+        /// <summary>
+        /// 受付番号
+        /// </summary>
+        private int m_OrderNo = 0;
+
+        /// <summary>
+        /// 請求ヘッダ
+        /// </summary>
+        private RequestHead m_lstRequestHead = null;
+
+        /// <summary>
+        /// 請求明細
+        /// </summary>
+        private List<RequestDataDetail> m_lstRequestDataDetail = null;
         #endregion
 
         #region プロパティ
@@ -110,6 +129,43 @@
             set { m_ReqDetail = value; }
         }
 
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+
+        /// <summary>
+        /// 受付番号
+        /// </summary>
+        public int OrderNo
+        {
+            get { return m_OrderNo; }
+            set { m_OrderNo = value; }
+        }
+
+
+        /// <summary>
+        /// 請求ヘッダ
+        /// </summary>
+        public RequestHead lstRequestHead
+        {
+            get { return m_lstRequestHead; }
+            set { m_lstRequestHead = value; }
+        }
+
+        /// <summary>
+        /// 請求明細
+        /// </summary>
+        public List<RequestDataDetail> lstRequestDataDetail
+        {
+            get { return m_lstRequestDataDetail; }
+            set { m_lstRequestDataDetail = value; }
+        }
+
         #endregion
 
         #region ×ボタン
@@ -176,7 +232,7 @@
 
         #region キャンセルボタン
         /// <summary>
-        /// キャンセルボタン追加
+        /// キャンセルボタン
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
@@ -187,21 +243,33 @@
         }
         #endregion
 
-        #region 取消申請ボタン
+        #region 申請ボタン押下
         /// <summary>
-        /// 取消申請ボタン
+        /// 申請ボタン押下
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void btnExecProc1_Click(object sender, EventArgs e)
+        private void btnPetition_Click(object sender, EventArgs e)
         {
             try
             {
                 // 実行時エラーチェック
-                if (!CheckCancelExec()) return;
+                //if (!CheckCancelExec()) return;
 
+                if (CommonMotions.OperationConfirmation())
+                {
+                    // 一人承認処理
+                    if (!OneApprovalProcess()) return;
+                }
+                else
+                {
+                    // オリジナル申請処理
+                    if (!PettionProcess()) return;
+                }
+
                 this.DialogResult = DialogResult.OK;
 
+                // 自フォーム終了
                 this.Close();
             }
             catch (Exception ex)
@@ -211,187 +279,247 @@
         }
         #endregion
 
-        #region データ表示処理
-        /// <summary>
-        /// データ表示
-        /// </summary>
-        /// <returns></returns>
-        private void SetDisplayData()
-        {
-            try
-            {
-                lblValue01.Text = m_RequestCount.ToString();
-                lblValue02.Text = m_RequestPrice.ToString("#,0");
-                lblValue03.Text = CommonMotions.LoginUserData.PersonName;
-                lblValue04.Text = DateTime.Today.ToShortDateString();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
+        //#region 承認ボタン押下
+        ///// <summary>
+        ///// 承認ボタン押下
+        ///// </summary>
+        ///// <param name="sender"></param>
+        ///// <param name="e"></param>
+        //private void btnApproval_Click(object sender, EventArgs e)
+        //{
+        //    try
+        //    {
+        //        // データ変更有時はデータ登録
+        //        if (m_bChengeAns)
+        //        {
+        //            if (!DataEntryProcess()) return;
+        //        }
 
-        #region 請求取消処理
-        /// <summary>
-        /// 請求取消処理
-        /// </summary>
-        /// <returns></returns>
-        private bool ExecRemoveRequest()
-        {
-            IORemoveRequest rrDB = new IORemoveRequest();
-            IORemoveRequestDetail rrdDB = new IORemoveRequestDetail();
-            try
-            {
-                rrDB.connect(); rrDB.beginTran();
-                rrdDB.connect(); rrdDB.beginTran();
+        //        // 起動番号
+        //        int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalPerson);
 
-                int RemoveDate = CommonMotions.cnvInt(DateTime.Today.ToShortDateString().Replace("/", ""));
-                int KeyNo = rrDB.NumberingRemoveNo(RemoveDate, false);
+        //        // 担当者コード
+        //        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_ManNo);
 
-                // 請求取消データセット
-                RemoveRequest rrRec = new RemoveRequest();
-                SetRemoveRec(KeyNo, RemoveDate, ref rrRec);
-                // 請求取消データ作成
-                if (!rrDB.InsertAction(rrRec, false))
-                {
-                    rrDB.rollback();
-                    rrdDB.rollback();
+        //        // 承認機能番号
+        //        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ClsConvertCode.ConvWorkingToAppNo(m_ExceNo));
 
-                    MessageBox.Show("請求取消データ作成に失敗しました。", "請求取消エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                    return false;
-                }
+        //        // 受付日
+        //        int nOrderDate = (m_SetDate.Year * 100) + m_SetDate.Month;
+        //        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(nOrderDate);
 
-                // 請求取消データ明細セット
-                List<RemoveRequestDetail> rrdRec = new List<RemoveRequestDetail>();
-                SetRemoveDetailRec(KeyNo, ref rrdRec);
-                // 請求取消データ明細作成
-                if (!rrdDB.InsertAction(rrdRec, false))
-                {
-                    rrDB.rollback();
-                    rrdDB.rollback();
+        //        // 受付番号
+        //        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_OrderNo);
 
-                    MessageBox.Show("請求取消データ明細作成に失敗しました。", "請求取消エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                    return false;
-                }
+        //        // 親フォーム終了
+        //        m_ParentEnd = true;
 
-                rrDB.commit();
-                rrdDB.commit();
+        //        m_NowProcessRemove = false;
 
-                return true;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-            finally
-            {
-                rrDB.close(); rrDB = null;
-                rrdDB.close(); rrdDB = null;
-            }
-        }
-        #endregion
+        //        // 自フォーム終了
+        //        this.Close();
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //}
+        //#endregion
 
-        #region 請求取消データセット
-        /// <summary>
-        /// 請求取消データセット
-        /// </summary>
-        private void SetRemoveRec(int KeyNo, int RemoveDate, ref RemoveRequest rrRec)
-        {
-            try
-            {
-                rrRec.RemoveNo = KeyNo;
-                rrRec.RemoveDate = RemoveDate;
-                rrRec.RemovePersonCode = CommonMotions.LoginUserData.PersonCode;
-                rrRec.RemoveComment = textBox1.Text;
-                rrRec.RequestNo = m_ReqHead.RequestNo;
-                rrRec.ReqConstructionCode = m_ReqHead.ReqConstructionCode;
-                rrRec.OrderNo = m_ReqHead.OrderNo;
-                rrRec.RequestMonth = m_ReqHead.RequestMonth;
-                rrRec.OrderersDivision = m_ReqHead.OrderersDivision;
-                rrRec.OrderersCode = m_ReqHead.OrderersCode;
-                rrRec.OrderersName = m_ReqHead.OrderersName;
-                rrRec.ReqConstructionName = m_ReqHead.ReqConstructionName;
-                rrRec.RequestTotalAmount = m_ReqHead.RequestTotalAmount;
-                rrRec.RequestAmount = m_ReqHead.RequestAmount;
-                rrRec.TaxAmount = m_ReqHead.TaxAmount;
-                rrRec.UnpaidAmount = m_ReqHead.UnpaidAmount;
-                rrRec.Note = m_ReqHead.Note;
-                rrRec.AssignedFlg = m_ReqHead.AssignedFlg;
-                rrRec.InvoiceNo = m_ReqHead.InvoiceNo;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
+        //#region 承認パネル（pnlApproval）承認ボタン
+        ///// <summary>
+        ///// 承認パネル（pnlApproval）承認ボタン
+        ///// </summary>
+        ///// <param name="sender"></param>
+        ///// <param name="e"></param>
+        //private void btnOnApproval_Click(object sender, EventArgs e)
+        //{
+        //    FrmApprovalScreen frm = new FrmApprovalScreen();
+        //    try
+        //    {
+        //        /// 承認順チェック
+        //        if (!CheckApprovalOrder()) return;
 
-        #region 請求取消データセット（明細）
-        /// <summary>
-        /// 請求取消データセット（明細）
-        /// </summary>
-        private void SetRemoveDetailRec(int KeyNo, ref List<RemoveRequestDetail> rrdRec)
-        {
-            try
-            {
-                int nContNo = 0;
-                foreach (KeyValuePair<int, List<RequestDataDetail>> CurDetail in m_ReqDetail)
-                {
-                    for (int i = 0; i < CurDetail.Value.Count; i++)
-                    {
-                        RemoveRequestDetail CurRec = new RemoveRequestDetail
-                        {
-                            RemoveNo = KeyNo,
-                            SeqNo = ++nContNo,
-                            RequestNo = CurDetail.Value[i].RequestNo,                        // 請求番号
-                            MainConstructionCode = CurDetail.Value[i].MainConstructionCode,  // 本工事番号
-                            ConstructionCode = CurDetail.Value[i].ConstructionCode,          // 工事番号
-                            ConstructionKind = CurDetail.Value[i].ConstructionKind,          // 工事区分
-                            RequestAmount = CurDetail.Value[i].RequestAmount,                // 請求金額
-                            TaxAmount = CurDetail.Value[i].TaxAmount                        // 消費税
-                        };
+        //        if (MessageBox.Show("案件を承認します、よろしいでしょうか？", "承認確認"
+        //                        , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
 
-                        rrdRec.Add(CurRec);
-                    }
-                }
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
+        //        // 工事番号
+        //        frm.ConstructionCode = m_ConstructionCode;
+        //        // 承認機能番号セット
+        //        frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("請求承認")).Key;
+        //        // 受付番号セット
+        //        frm.OrderNo = m_nMaxOrderNo;
 
-        #region 実行時エラーチェック
-        /// <summary>
-        /// 実行時エラーチェック
-        /// </summary>
-        /// <returns></returns>
-        private bool CheckCancelExec()
-        {
-            try
-            {
-                if (textBox1.Text.Length < 1)
-                {
-                    MessageBox.Show("取消理由が入力されていません。"
-                                    , "実行時エラー"
-                                    , MessageBoxButtons.OK
-                                    , MessageBoxIcon.Error);
-                    return false;
-                }
+        //        // 申請・承認レコード更新
+        //        if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Approval, false))
+        //        {
+        //            MessageBox.Show("承認に失敗しました。", "承認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+        //            return;
+        //        }
 
-                return true;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-        }
-        #endregion
+        //        // 完了メッセージ
+        //        CommonMotions.EntryEndMessage("承認", "");
 
+        //        // メニューへ戻る
+        //        ClsExcute.ClearProcess();
+        //        // 終了処理フラグOff
+        //        m_CloseingProcessOn = false;
+        //        // 画面クローズ
+        //        this.Close();
+        //    }
+        //    catch (System.Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //    finally
+        //    {
+        //        frm.Dispose(); frm = null;
+        //    }
+        //}
+        //#endregion
+
+        //#region 承認パネル（pnlApproval）保留ボタン
+        ///// <summary>
+        ///// 承認パネル（pnlApproval）保留ボタン
+        ///// </summary>
+        ///// <param name="sender"></param>
+        ///// <param name="e"></param>
+        //private void btnOnHold_Click(object sender, EventArgs e)
+        //{
+        //    FrmApprovalScreen frm = new FrmApprovalScreen();
+        //    try
+        //    {
+        //        /// 承認順チェック
+        //        if (!CheckApprovalOrder()) return;
+
+        //        if (MessageBox.Show("案件を保留とします、よろしいでしょうか？", "保留確認"
+        //                        , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
+
+        //        // 工事番号
+        //        frm.ConstructionCode = m_ConstructionCode;
+        //        // 承認機能番号セット
+        //        frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("請求承認")).Key;
+        //        // 受付番号セット
+        //        frm.OrderNo = m_nMaxOrderNo;
+
+        //        // 申請・承認レコード更新
+        //        if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Pending, false))
+        //        {
+        //            MessageBox.Show("保留に失敗しました。", "保留エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+        //            return;
+        //        }
+
+        //        // 完了メッセージ
+        //        CommonMotions.EntryEndMessage("保留", "");
+
+        //        // メニューへ戻る
+        //        ClsExcute.ClearProcess();
+        //        // 終了処理フラグOff
+        //        m_CloseingProcessOn = false;
+        //        // 画面クローズ
+        //        this.Close();
+        //    }
+        //    catch (System.Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //    finally
+        //    {
+        //        frm.Dispose(); frm = null;
+        //    }
+        //}
+        //#endregion
+
+        //#region 承認パネル（pnlApproval）不承認ボタン
+        ///// <summary>
+        ///// 承認パネル（pnlApproval）不承認ボタン
+        ///// </summary>
+        ///// <param name="sender"></param>
+        ///// <param name="e"></param>
+        //private void btnNotApproval_Click(object sender, EventArgs e)
+        //{
+        //    FrmApprovalScreen frm = new FrmApprovalScreen();
+        //    try
+        //    {
+        //        // 最終承認者判定
+        //        if (!ClsCommonApproval.ConstrAppLastOrder(m_ConstructionCode
+        //                                                , (int)ClsExcute.ApprovalListNo.OrderRequestApproval
+        //                                                , m_OrderNo
+        //                                                , CommonMotions.LoginUserData.PersonCode))
+        //        {
+        //            MessageBox.Show("最終承認資格者以外は不承認にできません。", "不承認不可", MessageBoxButtons.OK, MessageBoxIcon.Error);
+        //            return;
+        //        }
+
+        //        /// 承認順チェック
+        //        if (!CheckApprovalOrder()) return;
+
+        //        if (MessageBox.Show("案件を不承認します、よろしいでしょうか？", "不承認確認"
+        //                        , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
+
+        //        // 工事番号
+        //        frm.ConstructionCode = m_ConstructionCode;
+        //        // 承認機能番号セット
+        //        frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("請求承認")).Key;
+        //        // 受付番号セット
+        //        frm.OrderNo = m_nMaxOrderNo;
+
+        //        // 申請・承認レコード更新
+        //        if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.NotApproval, false))
+        //        {
+        //            MessageBox.Show("不承認に失敗しました。", "不承認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+        //            return;
+        //        }
+
+        //        // 完了メッセージ
+        //        CommonMotions.EntryEndMessage("不承認", "");
+
+        //        // メニューへ戻る
+        //        ClsExcute.ClearProcess();
+        //        // 終了処理フラグOff
+        //        m_CloseingProcessOn = false;
+        //        // 画面クローズ
+        //        this.Close();
+        //    }
+        //    catch (System.Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //    finally
+        //    {
+        //        frm.Dispose(); frm = null;
+        //    }
+        //}
+        //#endregion
+
+        //#region 実行時エラーチェック
+        ///// <summary>
+        ///// 実行時エラーチェック
+        ///// </summary>
+        ///// <returns></returns>
+        //private bool CheckCancelExec()
+        //{
+        //    try
+        //    {
+        //        if (textBox1.Text.Length < 1)
+        //        {
+        //            MessageBox.Show("取消理由が入力されていません。"
+        //                            , "実行時エラー"
+        //                            , MessageBoxButtons.OK
+        //                            , MessageBoxIcon.Error);
+        //            return false;
+        //        }
+
+        //        return true;
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //        return false;
+        //    }
+        //}
+        //#endregion
+
         #region ヘルプボタン
         private FrmHelp helpfrm = null;
         /// <summary>
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs	(revision 476)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs	(revision 477)
@@ -28,13 +28,13 @@
         /// </summary>
         private void InitializeComponent()
         {
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle9 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle10 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle11 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle12 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle13 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle14 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
             this.label3 = new System.Windows.Forms.Label();
             this.btnEntry = new System.Windows.Forms.Button();
             this.btnEnd = new System.Windows.Forms.Button();
@@ -212,6 +212,7 @@
             this.btnDelRequest.TabIndex = 41;
             this.btnDelRequest.Text = "請求取消";
             this.btnDelRequest.UseVisualStyleBackColor = false;
+            this.btnDelRequest.Visible = false;
             this.btnDelRequest.Click += new System.EventHandler(this.btnDelRequest_Click);
             // 
             // btnCancelDsp
@@ -227,6 +228,7 @@
             this.btnCancelDsp.TabIndex = 41;
             this.btnCancelDsp.Text = "請求取消一覧";
             this.btnCancelDsp.UseVisualStyleBackColor = false;
+            this.btnCancelDsp.Visible = false;
             this.btnCancelDsp.Click += new System.EventHandler(this.btnCancelDsp_Click);
             // 
             // btnHelp
@@ -483,9 +485,9 @@
             // col004
             // 
             this.col004.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.None;
-            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle8.BackColor = System.Drawing.SystemColors.Control;
-            this.col004.DefaultCellStyle = dataGridViewCellStyle8;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            this.col004.DefaultCellStyle = dataGridViewCellStyle1;
             this.col004.Frozen = true;
             this.col004.HeaderText = "";
             this.col004.Name = "col004";
@@ -496,9 +498,9 @@
             // 
             // col005
             // 
-            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            dataGridViewCellStyle9.BackColor = System.Drawing.Color.White;
-            this.col005.DefaultCellStyle = dataGridViewCellStyle9;
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle2.BackColor = System.Drawing.Color.White;
+            this.col005.DefaultCellStyle = dataGridViewCellStyle2;
             this.col005.Frozen = true;
             this.col005.HeaderText = "工　事　名";
             this.col005.Name = "col005";
@@ -508,11 +510,11 @@
             // 
             // col006
             // 
-            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle10.BackColor = System.Drawing.Color.White;
-            dataGridViewCellStyle10.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            dataGridViewCellStyle10.ForeColor = System.Drawing.Color.Black;
-            this.col006.DefaultCellStyle = dataGridViewCellStyle10;
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle3.BackColor = System.Drawing.Color.White;
+            dataGridViewCellStyle3.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle3.ForeColor = System.Drawing.Color.Black;
+            this.col006.DefaultCellStyle = dataGridViewCellStyle3;
             this.col006.Frozen = true;
             this.col006.HeaderText = "受注合計";
             this.col006.Name = "col006";
@@ -530,9 +532,9 @@
             // 
             // col007
             // 
-            dataGridViewCellStyle11.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle11.BackColor = System.Drawing.SystemColors.Control;
-            this.col007.DefaultCellStyle = dataGridViewCellStyle11;
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle4.BackColor = System.Drawing.SystemColors.Control;
+            this.col007.DefaultCellStyle = dataGridViewCellStyle4;
             this.col007.Frozen = true;
             this.col007.HeaderText = "";
             this.col007.Name = "col007";
@@ -542,11 +544,11 @@
             // 
             // col008
             // 
-            dataGridViewCellStyle12.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle12.BackColor = System.Drawing.Color.White;
-            dataGridViewCellStyle12.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            dataGridViewCellStyle12.ForeColor = System.Drawing.Color.Black;
-            this.col008.DefaultCellStyle = dataGridViewCellStyle12;
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle5.BackColor = System.Drawing.Color.White;
+            dataGridViewCellStyle5.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle5.ForeColor = System.Drawing.Color.Black;
+            this.col008.DefaultCellStyle = dataGridViewCellStyle5;
             this.col008.FillWeight = 120F;
             this.col008.Frozen = true;
             this.col008.HeaderText = "請求合計";
@@ -557,11 +559,11 @@
             // 
             // col009
             // 
-            dataGridViewCellStyle13.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle13.BackColor = System.Drawing.Color.White;
-            dataGridViewCellStyle13.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            dataGridViewCellStyle13.ForeColor = System.Drawing.Color.Black;
-            this.col009.DefaultCellStyle = dataGridViewCellStyle13;
+            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle6.BackColor = System.Drawing.Color.White;
+            dataGridViewCellStyle6.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle6.ForeColor = System.Drawing.Color.Black;
+            this.col009.DefaultCellStyle = dataGridViewCellStyle6;
             this.col009.HeaderText = " 1回目";
             this.col009.Name = "col009";
             this.col009.ReadOnly = true;
@@ -570,11 +572,11 @@
             // 
             // col098
             // 
-            dataGridViewCellStyle14.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle14.BackColor = System.Drawing.Color.White;
-            dataGridViewCellStyle14.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            dataGridViewCellStyle14.ForeColor = System.Drawing.Color.Black;
-            this.col098.DefaultCellStyle = dataGridViewCellStyle14;
+            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle7.BackColor = System.Drawing.Color.White;
+            dataGridViewCellStyle7.Font = new System.Drawing.Font("Century", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle7.ForeColor = System.Drawing.Color.Black;
+            this.col098.DefaultCellStyle = dataGridViewCellStyle7;
             this.col098.HeaderText = "残り";
             this.col098.Name = "col098";
             this.col098.ReadOnly = true;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 476)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 477)
@@ -39,7 +39,7 @@
         /// <summary>
         /// 工事番号
         /// </summary>
-        private int m_ConstructionCode = 2016017301;
+        private int m_ConstructionCode = 0;
 
         /// <summary>
         /// 終了状態フラグ
@@ -489,6 +489,7 @@
 
                 // 編集行の残り列を再計算
                 CalcBalance(trow);
+                CalcBalance(trow + 1);
 
                 // 受付回目列のヘッダ部合計を再計算
                 string strwork = dgv1.Columns[e.ColumnIndex].HeaderText;
@@ -562,6 +563,7 @@
 
                         // 編集行の残り列を再計算
                         CalcBalance(trow);
+                        CalcBalance(trow + 1);
 
                         // 受付回目列のヘッダ部合計を再計算
                         SetColumnTotal(m_nMaxOrderNo);
